package com.wisewoods.eduandroid.ui.adapter;

import com.luck.picture.lib.entity.LocalMedia;
import com.wisewoods.base.base.BaseAdapter;
import com.wisewoods.base.base.BaseVH;
import com.wisewoods.eduandroid.R;

import org.jetbrains.annotations.NotNull;

public class ImgShowAdapter extends BaseAdapter<LocalMedia> {
    public ImgShowAdapter() {
        super(R.layout.gv_filter_image);
    }

    @Override
    protected void convert(@NotNull BaseVH baseVH, LocalMedia localMedia) {
        baseVH.setGone(R.id.tv_duration, true)
                .setGone(R.id.iv_del, true)
                .setNetUrl(R.id.fiv, localMedia.getCompressPath(), R.drawable.shape_dialog_edit)
        ;

    }
}
